cresample: XCresample Struct Reference

| cresample Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCresample Struct Reference
Cresample_v4_1

The XCresample driver instance data structure. More...

## Data Fields
XCresample_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instance are initialized. More...
u16 | HSize
| Active video horizontal size. More...
u16 | VSize
| Active video vertical size. More...
XCresample_CallBack | ProcStartCallBack
| Call back for processing start interrupt. More...
void * | ProcStartRef
| To be passed to the process start interrupt callback. More...
XCresample_CallBack | FrameDoneCallBack
| Call back for frame done interrupt. More...
void * | FrameDoneRef
| To be passed to the frame done interrupt callback. More...
XCresample_ErrorCallBack | ErrCallBack
| Call back for error interrupt. More...
void * | ErrRef
| To be passed to the error interrupt callback. More...
u32 | CoefH [XCRE_NUM_OF_PHASES][XCRE_NUM_HCOEFS]
| Horizontal filter coefficients. More...
u32 | CoefV [XCRE_NUM_OF_PHASES][XCRE_NUM_VCOEFS]
| Vertical filter coefficients. More...

## Detailed Description

The XCresample driver instance data structure.

A pointer to an instance data structure is passed around by functions to refer to a specific driver instance.

## Field Documentation

u32 XCresample::CoefH[XCRE_NUM_OF_PHASES][XCRE_NUM_HCOEFS]

Horizontal filter coefficients.

u32 XCresample::CoefV[XCRE_NUM_OF_PHASES][XCRE_NUM_VCOEFS]

Vertical filter coefficients.

XCresample_Config XCresample::Config

Hardware configuration.

Referenced by CresampleTypeConversion(), XCresample_CfgInitialize(), XCresample_Clear_HCoef_Values(), XCresample_Clear_VCoef_Values(), XCresample_DisableDbgBypass(), XCresample_DisableDbgTestPattern(), XCresample_EnableDbgByPass(), XCresample_EnableDbgTestPattern(), XCresample_GetActiveSize(), XCresample_GetChromaParity(), XCresample_GetDbgFrameCount(), XCresample_GetDbgLineCount(), XCresample_GetDbgPixelCount(), XCresample_GetFieldParity(), XCresample_GetHCoefs(), XCresample_GetVCoefs(), XCresample_GetVersion(), XCresample_IntrHandler(), XCresample_IsDbgByPassEnabled(), XCresample_IsDbgTestPatternEnabled(), XCresample_SelfTest(), XCresample_SetActiveSize(), XCresample_SetChromaParity(), XCresample_SetFieldParity(), XCresample_SetHCoefs(), and XCresample_SetVCoefs().

XCresample_ErrorCallBack XCresample::ErrCallBack

Call back for error interrupt.

Referenced by XCresample_CfgInitialize(), XCresample_IntrHandler(), and XCresample_SetCallBack().

void* XCresample::ErrRef

To be passed to the error interrupt callback.

Referenced by XCresample_IntrHandler(), and XCresample_SetCallBack().

XCresample_CallBack XCresample::FrameDoneCallBack

Call back for frame done interrupt.

Referenced by XCresample_CfgInitialize(), XCresample_IntrHandler(), and XCresample_SetCallBack().

void* XCresample::FrameDoneRef

To be passed to the frame done interrupt callback.

Referenced by XCresample_IntrHandler(), and XCresample_SetCallBack().

u16 XCresample::HSize

Active video horizontal size.

u32 XCresample::IsReady

Device and the driver instance are initialized.

Referenced by XCresample_CfgInitialize(), XCresample_IntrHandler(), and XCresample_SetCallBack().

XCresample_CallBack XCresample::ProcStartCallBack

Call back for processing start interrupt.

Referenced by XCresample_CfgInitialize(), XCresample_IntrHandler(), and XCresample_SetCallBack().

void* XCresample::ProcStartRef

To be passed to the process start interrupt callback.

Referenced by XCresample_IntrHandler(), and XCresample_SetCallBack().

u16 XCresample::VSize

Active video vertical size.